#  Template NodeJS build

#  This template allows you to validate your NodeJS code.
#  The workflow allows running tests and code linting on the default branch.

image: node:lte

pipelines:
  branches:
    master:
      - step:
          name: Build
          caches:
            - yarn
          script:
            - yarn install --silent
            - yarn build
definitions:
  caches:
    yarn: ./node_modules